# Interface gmfDisclaimerOptions

interface gmfDisclaimerOptions {
external: boolean;
layerVisibility: boolean;
popup: boolean;
}

- Defined in src/options.js:723

#####
Index

### Properties

external
layerVisibility
popup

## Properties

### external

external: boolean

Whether to use disclaimer messages elsewhere or not. Default to `false`. If true, you should use the externalMessage and the externalVisibility too.

- Defined in src/options.js:728

### layerVisibility

layerVisibility: boolean

Only display the disclaimer if the layer is visible. Defaults to `true`.

- Defined in src/options.js:726

### popup

popup: boolean

Whether to show the disclaimer messages in popups or not. Defaults to `false`.

- Defined in src/options.js:724

Generated using TypeDoc